#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: hOpenPGP
version: 2.7
id: hOpenPGP-2.7-IKe9qY5a6nCGZ5DPNX9BhM
key: hOpenPGP-2.7-IKe9qY5a6nCGZ5DPNX9BhM
license: MIT
copyright: 2012-2018  Clint Adams
maintainer: Clint Adams <clint@debian.org>
author: Clint Adams
homepage: https://salsa.debian.org/clint/hOpenPGP
synopsis: native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)
category: Codec, Data
abi: 579942101f23285a5eff1c8ce96c42f5
exposed: True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify
hidden-modules: Codec.Encryption.OpenPGP.Internal
                Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
                Codec.Encryption.OpenPGP.Internal.Cryptonite
                Codec.Encryption.OpenPGP.Internal.HOBlockCipher
                Codec.Encryption.OpenPGP.SerializeForSigs
                Codec.Encryption.OpenPGP.Types.Internal.Base
                Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
                Codec.Encryption.OpenPGP.Types.Internal.PacketClass
                Codec.Encryption.OpenPGP.Types.Internal.PKITypes
                Codec.Encryption.OpenPGP.Types.Internal.Pkt
                Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
                Codec.Encryption.OpenPGP.Types.Internal.TK
                Codec.Encryption.OpenPGP.BlockCipher
import-dirs: /usr/lib/ghc-8.4.2/site-local/hOpenPGP-2.7
library-dirs: /usr/lib/ghc-8.4.2/site-local/hOpenPGP-2.7
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/hOpenPGP-2.7
hs-libraries: HShOpenPGP-2.7-IKe9qY5a6nCGZ5DPNX9BhM
depends:
    aeson-1.3.1.1-Jc2ftlprW3RD5JNULfJPh2
    asn1-encoding-0.9.5-iupD1ogurHG3aCmFmBVsx
    attoparsec-0.13.2.2-AEXZkgs8lo23eqrLiqxiAC base-4.11.1.0
    base16-bytestring-0.1.1.6-I0igvRcEwRNBMqqPC2yQBh
    base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    bifunctors-5.5.2-Iedq7wHRjGhIYbxO5Z2Mg4 bytestring-0.10.8.2
    bzlib-0.5.0.5-I5HFtx2qcsm7rM1vX9uO9x binary-0.8.5.1
    binary-conduit-1.3-CcrFSbXFW32Jnxiai8H8GE
    conduit-1.3.0.2-1SHgMetAPHh4Vhn17PqpGx
    conduit-extra-1.3.0-KfYCv1k4loq1fPb2ywVI5t containers-0.5.11.0
    cryptonite-0.24-BcvQs1nV89AHCENItQldKu
    crypto-cipher-types-0.0.9-7uztzSRso0jFHBxa6bfNuo
    errors-2.3.0-46yPYqytlUTGn1xcN4MtQt
    hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg
    incremental-parser-0.3.1.1-8lXsbTQMzzy3jChXOQTpip
    ixset-typed-0.4-3Nb01EY8AjyH21NgeVRJpQ
    lens-4.16.1-KPPE4nmtmATBX4cMAuR9Tq
    memory-0.14.16-Hs1NDoAVjuC3IQmOlFTQpi
    monad-loops-0.4.3-2NGNwTmuzQ8HUga17olMGs
    nettle-0.2.0-5HtOFg7XdvOJkpM3u6RWyQ
    newtype-0.2-ITmrBJ3PFy1E3eiFCi9Xkw
    openpgp-asciiarmor-0.1.1-3m2JxH6fGMA98JHAKeMcES
    prettyprinter-1.2.0.1-I8taHJAqeeG8WuMLh9hZFu
    resourcet-1.2.1-LpXDbTR5NuS6pJxuC36t8c
    split-0.2.3.3-Ai2RfO3v9Qt6hbFzlVeRv6 text-1.2.3.0 time-1.8.0.2
    time-locale-compat-0.1.1.4-7wM80GF7eQsF3fUTGOdEvb
    transformers-0.5.5.0 unliftio-core-0.1.1.0-LMRC2BJekXQHTjQ89kypYp
    unordered-containers-0.2.9.0-KdZ4KMfcSgfH94a9qKVvIF
    zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH
    network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9
abi-depends: aeson-1.3.1.1-Jc2ftlprW3RD5JNULfJPh2=d6221140607342466670e5a4aa799750
             asn1-encoding-0.9.5-iupD1ogurHG3aCmFmBVsx=846240b9bf887af96bd4bd95a9c0e670
             attoparsec-0.13.2.2-AEXZkgs8lo23eqrLiqxiAC=b163fca1a2fb151be52663236861bb33
             base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             base16-bytestring-0.1.1.6-I0igvRcEwRNBMqqPC2yQBh=39dfe9068523cd9f792b1a7393cda8b3
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=7722d2d1f9adcb92b317b3a43d084a70
             bifunctors-5.5.2-Iedq7wHRjGhIYbxO5Z2Mg4=ce11ed808e55921cc1753b431664f688
             bytestring-0.10.8.2=c1695cedf0cebf0c12d34c90fb94a65f
             bzlib-0.5.0.5-I5HFtx2qcsm7rM1vX9uO9x=c2e610370d9796b6b529ed73eee5e055
             binary-0.8.5.1=253349ae905e3b03d89d37316bf920b7
             binary-conduit-1.3-CcrFSbXFW32Jnxiai8H8GE=946df5c769be5230f90173fb578744c2
             conduit-1.3.0.2-1SHgMetAPHh4Vhn17PqpGx=b79aaf35ed55acc28c514479b9a29f0a
             conduit-extra-1.3.0-KfYCv1k4loq1fPb2ywVI5t=bc9df71be0000d238af34ccfcced8d8d
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             cryptonite-0.24-BcvQs1nV89AHCENItQldKu=726a0cec139c23a1e4bce7e7f7040a66
             crypto-cipher-types-0.0.9-7uztzSRso0jFHBxa6bfNuo=5868983804173309c80723f92f581b66
             errors-2.3.0-46yPYqytlUTGn1xcN4MtQt=84fb6a7a9838be4208e2b1d76950e3da
             hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg=0e3ad496fde59157bcd6a630b4b29548
             incremental-parser-0.3.1.1-8lXsbTQMzzy3jChXOQTpip=d9aa99ba05b3004236d8f066dccfe415
             ixset-typed-0.4-3Nb01EY8AjyH21NgeVRJpQ=b8aecb2009b11d4fe554031e525c32f7
             lens-4.16.1-KPPE4nmtmATBX4cMAuR9Tq=24c2def77b3015b7aae9e4b41a1a4d5e
             memory-0.14.16-Hs1NDoAVjuC3IQmOlFTQpi=ed2d5adcedeb6833cc2a392fb853e830
             monad-loops-0.4.3-2NGNwTmuzQ8HUga17olMGs=71c764e045aeef7d38e4117eaf2d325a
             nettle-0.2.0-5HtOFg7XdvOJkpM3u6RWyQ=69b90e5d524a2f788a798b85ea617f4a
             newtype-0.2-ITmrBJ3PFy1E3eiFCi9Xkw=a6d92b4fd39d4113b8f1698755fffed4
             openpgp-asciiarmor-0.1.1-3m2JxH6fGMA98JHAKeMcES=f5091607ea1ce62f19151ceced0fee8f
             prettyprinter-1.2.0.1-I8taHJAqeeG8WuMLh9hZFu=00a227222d18f4c65452bd5340f027e9
             resourcet-1.2.1-LpXDbTR5NuS6pJxuC36t8c=1c7802b6f1e33109c588ddfccaaaa3b1
             split-0.2.3.3-Ai2RfO3v9Qt6hbFzlVeRv6=552edb5fe3e96de6d9599ba4b8c78476
             text-1.2.3.0=5654b56910ce698015ec900075c28f62
             time-1.8.0.2=f5b6d28c2b89a17d60f5dfeda767abd0
             time-locale-compat-0.1.1.4-7wM80GF7eQsF3fUTGOdEvb=34b73a69c5a84d64fc36f71f407f4d5b
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
             unliftio-core-0.1.1.0-LMRC2BJekXQHTjQ89kypYp=4c5529307e59f83eb0edc9e3bb0da174
             unordered-containers-0.2.9.0-KdZ4KMfcSgfH94a9qKVvIF=2ade52955b9fa0964135ae12d3c6ee25
             zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH=de1ac2074f90e9397bcb253d3ffe265d
             network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9=d49fd54c7cc8ca7cdc7f65925221d670
haddock-interfaces: /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html: /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

